﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Infragistics.Win.UltraWinGrid;

namespace WindowsFormsApplication1
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
            Load += new EventHandler(Form1_Load);
        }

        void Form1_Load(object sender, EventArgs e)
        {
            DataTable dt = new DataTable();
            dt.Columns.Add("DT1", typeof(DateTime));
            dt.Columns.Add("DT2", typeof(DateTime));
            dt.Rows.Add(new DateTime(2006, 1, 1, 10, 10, 10), new DateTime(2009, 1, 1, 10, 30, 10));
            dt.Rows.Add(new DateTime(2006, 3, 1, 10, 5, 10), new DateTime(2009, 9, 1, 10, 30, 30));
            ultraGrid1.DataSource = dt.DefaultView;
        }

        void ultraGrid1_InitializeLayout(object sender, InitializeLayoutEventArgs e)
        {
            UltraGridColumn col = ultraGrid1.DisplayLayout.Bands[0].Columns.Add("UnboundDiference");
            col.DataType = typeof(Int32);
           e.Layout.Override.AllowRowSummaries = AllowRowSummaries.True;

           SummarySettings summary = e.Layout.Bands[0].Summaries.Add(SummaryType.Sum, e.Layout.Bands[0].Columns["UnboundDiference"]);

           // Set the summary position to Left so that it shows up on the left of the
           // summary footer area.
           //summary.SummaryPosition = SummaryPosition.Left;

           // Set the format with which to format the calculated summary when displaying
           // in the summary footer.
          summary.DisplayFormat = "Record Count = {0:#####}";

        }

        private void ultraGrid1_InitializeRow(object sender, InitializeRowEventArgs e)
        {
             TimeSpan span = (DateTime)e.Row.Cells["DT2"].Value - (DateTime)e.Row.Cells["DT1"].Value;
             e.Row.Cells["UnboundDiference"].Value = span.Days;
        }


       
    }
}
